## net.sf.colorer
Class FileType

    java.lang.Object
      net.sf.colorer.FileType

public class FileType
extends java.lang.Object

HRC FileType (or prototype) instance

Constructor Summary
`FileType()`

Method Summary
`Scheme` `getBaseScheme()` Returns the base scheme of this file type.
`java.lang.String` `getDescription()` Public description of file type (HRC 'description' attribute)
`java.lang.String` `getGroup()` Public group name of file type (HRC 'group' attribute)
`java.lang.String` `getName()` Public name of file type (HRC 'name' attribute)
`java.lang.String` `getParameter(java.lang.String name)` Returns parameter value of this file type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileType

    public FileType()

Method Detail

### getName

    public java.lang.String getName()

  Public name of file type (HRC 'name' attribute)

  Returns:
    File type Name

### getGroup

    public java.lang.String getGroup()

  Public group name of file type (HRC 'group' attribute)

  Returns:
    File type Group

### getDescription

    public java.lang.String getDescription()

  Public description of file type (HRC 'description' attribute)

  Returns:
    File type Description

### getBaseScheme

    public Scheme getBaseScheme()

  Returns the base scheme of this file type. Basically, this is the scheme with same public name, as it's type.

  Returns:
    File type base scheme, to be used as root scheme of text parsing.

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Returns parameter value of this file type. Parameters are stored in prototypes as

            <parameters>
              <param name="name" value="value"/>
            </parameter>

  Parameters:
    `name` - Parameter's name

Copyright © 2003 Cail Lomecb. All Rights Reserved.